POST /interaction/v1/events

Insert subscribers into a journey synchronously.

JSON Parameters 

NameTypeDescription
ContactKeyStringRequired. The unique ID of a subscriber or a contact.
EventDefinitionKeyStringRequired. The unique ID of the journey entry event. You can find the EventDefinitionKey in Event Administration after the event is created and saved. This key is present for both standard and custom events. Don’t include a period in the EventDefinitionKey.
DataObjectProperties of the event. Required only if defined in a custom event or by the event.

Usage 

To fire the entry event, send a POST request to the /interaction/v1/events endpoint. Include the contact key, the event definition key, and any additional data that’s required for the event. If the payload includes UTF-8 characters, include the Content-Type: application/json; charset=UTF-8 header.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /interaction/v1/events
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5{
6  "ContactKey": "ID601",
7  "EventDefinitionKey":"AcmeBank-AccountAccessed",
8  "Data": {
9    "accountNumber":"123456",
10    "patronName":"John Smith"
11  }
12}

If there are no errors, the API returns an HTTP 201 response that includes the eventInstanceId.

1{
2     "eventInstanceId": "d8875e00-7968-44d1-863f-ad7bb10667bb"
3}

If the event definition key isn’t found, the API returns an HTTP 400 response.

1{
2    "message": "EventDefinitionKey NAMED_KEY not found",
3    "errorcode": 10000,
4    "documentation": ""
5}

The API also returns an HTTP 400 response if the contact isn’t active.

1{
2    "message": "The contact status should be Active.",
3    "errorcode": 30000,
4    "documentation": ""
5}

See Also 

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!